%define	name	speex
%define	major	1
%define	libname	 %mklibname %name %major
%define version 1.2
%define release %mkrel 0.rc1.2
%define sversion 1.2rc1

Summary:	An open-source, patent-free speech codec
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Sound
Source0:	http://downloads.us.xiph.org/releases/speex/%{name}-%{sversion}.tar.xz
Patch1:		speex-1.1.6-fix-pkgconfig-path.patch
Patch2:		speex-1.2rc1-CVE-2008-1686.patch
Patch3:		speex-1.2rc1-automake-1.13.patch
URL:		http://www.speex.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	oggvorbis-devel
BuildRequires:	chrpath
BuildRequires:	autoconf2.5

%description
Speex is a patent-free audio codec designed especially for voice (unlike 
Vorbis which targets general audio) signals and providing good narrowband 
and wideband quality. This project aims to be complementary to the Vorbis
codec.

%package -n	%{libname}
Summary:	Shared library of the Speex codec
Group:		System/Libraries

%description -n	%{libname}
Speex is a patent-free audio codec designed especially for voice (unlike 
Vorbis which targets general audio) signals and providing good narrowband 
and wideband quality. This project aims to be complementary to the Vorbis
codec.

This package contains the shared library required for running
applications based on Speex.

%package -n	%{libname}-devel
Summary:	Speex development files
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{libname}-devel
Speex development files.

%package -n	%{libname}-static-devel
Summary:	Speex static library 
Group:		Development/Libraries
Requires:	%{libname}-devel = %{version}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}

%description -n %{libname}-static-devel
Speex static library for developing applications based on Speex.

%prep
%setup -q -n %{name}-%{sversion}
%patch1 -p1 -b .pkgconfig
%patch2 -p1 -b .cve-2008-1686
%patch3 -p1 -b .automake-1_13


%build
autoreconf -fi
export CFLAGS='%optflags -DRELEASE'
%configure2_5x --with-ogg-libraries=%{_libdir}
make

%install
rm -rf %buildroot
%{makeinstall_std}
chrpath -d %buildroot%_bindir/*
rm -f %buildroot%{_datadir}/doc/manual.pdf

rm -rf %buildroot/%{_libdir}/libspeex*.la

%clean
rm -rf %buildroot

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING AUTHORS ChangeLog NEWS README
%{_mandir}/man1/speexenc.1*
%{_mandir}/man1/speexdec.1*
%attr(755,root,root) %{_bindir}/speex*

%files -n %{libname}
%attr(755,root,root) %{_libdir}/libspeex*.so.*

%files -n %{libname}-devel
%defattr(644,root,root,755)
%{_docdir}/speex/manual.pdf
%{_libdir}/libspeex*.so
%{_includedir}/speex
%{_libdir}/pkgconfig/speex.pc
%{_libdir}/pkgconfig/speexdsp.pc
%{_datadir}/aclocal/speex.m4

%files -n %{libname}-static-devel
%defattr(644,root,root,755)
%{_libdir}/libspeex*.a


%changelog
* Thu Jun 26 2014 bb <bb> 1.2rc1-2pclos2014
- rebuild against current libs
- drop la files

* Thu Aug 21 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 1.2rc1-1pclos2007
- New version 1.2rc1

* Fri Nov 03 2006 Neverstopdreaming <neverstopdreaming@gmail.com> 1.1.12-5pclos2007
- Build for PCLinuxOS 2007

